<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Administration">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Updating Metasploit</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration/updating-metasploit.html">Open topic with navigation</a>
        </p>
        <h1>Updating Metasploit</h1>
        <p>Generally, Rapid7 releases updates on a weekly basis for the commercial versions of Metasploit. As an administrator, you should regularly update <span class="VariablesProductName">Metasploit Pro</span> to ensure that you have the latest bug fixes, features, and modules. </p>
        <h2>Updating Metasploit </h2>
        <p>You must manually apply updates to the system to get the latest content and features for <span class="VariablesProductName">Metasploit Pro</span>. </p>
        <p class="leadin">To update <span class="VariablesProductName">Metasploit Pro</span>:</p>
        <ol data-mc-continue="true">
            <li value="1">Select <b class="UISelection">Administration &gt; Software Updates</b> from the Global Menu. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-software-update-menu_512x65.png" alt="Software Update Menu" style="width: 512;height: 65;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the Software Updates window appears, select the <b class="UISelection">Use an HTTP Proxy to reach the internet</b> option if you want to use an HTTP proxy server to check for updates. If you select this option, the proxy settings appear. Configure the settings for the HTTP proxy that you want to use.</li>
            <li value="3">Click the <b class="UISelection">Check for updates</b> button. If an update is available, the system shows you the latest version number and provides an install button for you to use to update the system.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-product-update-available_502x125.png" alt="Updates are available for download" style="width: 502;height: 125;">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="4">Install the update. </li>
        </ol>
        <h2>Updating Metasploit Offline</h2>
        <p>Rapid7 provides <a name="kanchor8"></a>offline update files that you can use to safely update Metasploit Pro and Express without an Internet connection. For each major release, Rapid7 e-mails you the links and instructions that you need to update Metasploit. The links point you to bin files that you can download and save to a portable storage device or shared network location so that you can easily transfer the file to your Metasploit server. </p>
        <p>In order to update Metasploit to the latest version, you must install each incremental release between your current version and the latest version. For example, if your current version of Metasploit is 4.5.2, you need to apply the 4.5.3 update before you can apply the 4.6 update. If you do not apply the updates sequentially, product dependencies may not be upgraded correctly and can cause issues with Metasploit. </p>
        <p class="leadin" data-mc-conditions="">To apply an offline update:</p>
        <ol>
            <li value="1">Launch and log in to Metasploit. </li>
            <li value="2">Locate the footer at the bottom of the user interface. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-footer_529x317.png" title="Metasploit footer" alt="Metasploit footer" style="width: 529;height: 317;" />
        </p>
        <ol start="3">
            <li value="3">Identify the current release version of Metasploit that you have installed. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-version.png" title="Metasploit version" alt="Metasploit version" />
        </p>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>You will see the product edition, the release version, and the update version. For example, in <span class="VariablesProductName">Metasploit Pro</span> 4.6.0 - update 2013050101, the release version is 4.6.0. </p>
        <ol start="4">
            <li value="4">From the e-mail that you have received from Rapid7, find and download the offline update files that you need. </li>
            <li value="5">From within Metasploit, select <b class="UISelection">Administration &gt; Software Updates</b> from the&#160;Global menu. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-global-menu_498x99.png" title="Global Menu" alt="Global Menu" style="width: 498;height: 99;" />
        </p>
        <ol start="4" data-mc-continue="true">
            <li value="6">Find the <b class="UISelection">Product Updates</b> area. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-product-updates_493x146.png" title="Product Updates" alt="Product Updates" style="width: 493;height: 146;" />
        </p>
        <ol start="4" data-mc-continue="true">
            <li value="7">Click the <b class="UISelection">Offline Update File</b> link. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-update-link_215x110.png" title="Offline Update Link" alt="Offline Update Link" style="width: 215;height: 110;" />
        </p>
        <ol start="4" data-mc-continue="true">
            <li value="8">Browse to the location of the offline update file and select it.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-browse_316x94.png" title="Browse to the location of the offline activation file" alt="Browse to the location of the offline activation file" style="width: 316;height: 94;" />
            <br />
            <br />The offline update file is the bin file that you downloaded from the Rapid7  e-mail. </p>
        <ol start="10">
            <li value="10">Click the <b class="UISelection">Install&#160;Update</b> button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-offline-update-install-update_297x89.png" title="Install the offline update." alt="Install the offline update." style="width: 297;height: 89;" />
        </p>
        <p>Metasploit installs the update and restarts the Metasploit service when the update is done. Please wait a few minutes for the service to restart. </p>
        <p>If there are additional updates that you need to install, you must repeat this process until you have the latest version of Metasploit. </p>
        <h2>Applying the Weekly Update</h2>
        <p>If you are an administrator, you should regularly check for available <a name="kanchor9"></a>updates to <span class="VariablesProductName">Metasploit Pro</span>. From within the Web UI, <span class="VariablesProductName">Metasploit Pro</span> alerts you when a newer version is available for you to install. If a newer version of <span class="VariablesProductName">Metasploit Pro</span> is not available, the system notifies you that you have the latest version. </p>
        <p class="leadin" data-mc-conditions="">To apply the weekly update:</p>
        <ol start="1">
            <li value="1">Click <b class="UISelection">Administration &gt; Software Updates</b> from the main menu. </li>
            <li value="2">When the Software Updates window appears, select <b class="UISelection">Use an HTTP Proxy</b> to reach the Internet if you want to use an HTTP proxy server to check for updates. If you select this option, the proxy settings appear. Configure the settings for the HTTP proxy that you want to use.</li>
            <li value="3">Click the <b class="UISelection">Check for updates</b> button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-product-update-button_286x83.png" style="width: 286;height: 83;" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">If an update is available, the system shows you the latest version number and provides an install button for you to use to update the system.</li>
        </ol>
        <p>
            <img src="../Resources/Images/administration/admin-product-update-available_528x131.png" style="width: 528;height: 131;" />
        </p>
        <ol data-mc-continue="true">
            <li value="5">Install the update. </li>
        </ol>
        <p>After the update completes, <span class="VariablesProductName">Metasploit Pro</span> prompts you to restart the back end services. If you restart the services, <span class="VariablesProductName">Metasploit Pro</span> terminates active sessions and requires up to ten minutes to restart.</p>
        <h2>Deleting the Browser Cache after an&#160;Update</h2>
        <p>After you update <span class="VariablesProductName">Metasploit Pro</span>, you must delete your browser’s cache so that the user interface renders correctly. If you do not delete your browser’s cache, some items may not display or appear distorted. 
</p>
        <p>To learn how to delete your browser’s cache, read the documentation for your specific browser or visit this handy <a href="http://www.wikihow.com/Clear-Your-Browser's-Cache" target="_blank">website</a>. </p>
        <h2>Notification Center</h2>
        <p>Notification Center is the notification system for <span class="VariablesProductName">Metasploit Pro</span> that alerts you when a task completes or when a software update is available. It displays as a dropdown banner from the Global Menu and provides a unified view of system-wide alerts for all projects. </p>
        <p>The Notification Center icon displays the total number of new alerts that are available. All new notifications are highlighted with a green bar. You can click on a notification to access the associated page in the user interface. Most task and MetaModule notifications will take you to the Task log. All system notifications will take you to the Software Updates page. </p>
        <h2>
Accessing Notification&#160;Center</h2>
        <p>To access Notification Center, click on the notification icon in the upper-right hand corner of the Global Menu. </p>
        <p>
            <img src="../Resources/Images/notification-center/notification-center-1_425x101.png" title="Notification Center" style="width: 425;height: 101;" />
        </p>
        <h2>Notification Events</h2>
        <p>Notification Center displays alerts when the following events occur:</p>
        <ul>
            <li value="1">A MetaModule&#160;run completes.</li>
            <li value="2">A task run, such as a Discovery Scan or Bruteforce Attack, completes. </li>
            <li value="3">A software update is available. </li>
        </ul>
        <h2>Sorting Notifications by Event Type</h2>
        <ol>
            <li value="1">From the Global Menu, click the <b class="UISelection">Notification Center</b> icon. <br /><br /><img src="../Resources/Images/notification-center/notification-center-1_386x92.png" style="width: 386;height: 92;" /><br /></li>
            <li value="2">Click the <b class="UISelection">Show</b> dropdown button and choose the event type you want to use to sort the notifications. You can choose from MetaModules, Tasks, and System. <br /><br /><img src="../Resources/Images/notification-center/notification-center-show-1_216x141.png" style="width: 216;height: 141;" /></li>
            <li value="3">After you choose an event type, Notification Center updates the alerts. <br /><br /><img src="../Resources/Images/notification-center/notification-center-show-2_223x111.png" style="width: 223;height: 111;" /></li>
        </ol>
        <h2>Clearing a Notification </h2>
        <ol>
            <li value="1">From the Global Menu, click on the&#160;<b class="UISelection">Notification&#160;Center</b> icon. <br /><br /><img src="../Resources/Images/notification-center/notification-center-1_459x108.png" style="width: 459;height: 108;" /></li>
            <li value="2">Find the alert that you want to remove. </li>
            <li value="3">Hover your mouse over the alert. A delete button appears. <br /><br /><img src="../Resources/Images/notification-center/notification-center-delete-1_209x161.png" style="width: 209;height: 161;" /></li>
            <li value="4">Click the '<b class="UISelection">X</b>' button to remove the alert. </li>
        </ol>
    </body>
</html>